<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('master');
});

// Luas Permukaan

Route::get('/lpBalok', function()
{
    return view('LP/lpBalok');
});

Route::get('/lpTabung', function()
{
    return view('LP/lpTabung');
});

Route::get('/lpKubus', function()
{
    return view('LP/lpKubus');
});

Route::get('/lpKerucut', function()
{
    return view('LP/lpKerucut');
});

Route::get('/lpPrismaS3', function()
{
    return view('LP/lpPrismaS3');
});

Route::get('/lpBola', function()
{
    return view('LP/lpBola');
});

Route::post('/lpBalokC', 'LuasPermukaanCon@lpBalokC');
Route::post('/lpTabungC', 'LuasPermukaanCon@lpTabungC');
Route::post('/lpKubusC', 'LuasPermukaanCon@lpKubusC');
Route::post('/lpKerucutC', 'LuasPermukaanCon@lpKerucutC');
Route::post('/lpPrismaS3C', 'LuasPermukaanCon@lpPrismaS3C');
Route::post('/lpBolaC', 'LuasPermukaanCon@lpBolaC');

// Volume

Route::get('/vPrismaS3', function()
{
    return view('Vol/vPrismaS3');
});

Route::get('/vKubus', function()
{
    return view('Vol/vKubus');
});
Route::get('/vLimasS3', function()
{
    return view('Vol/vLimasS3');
});

Route::get('/vLimasS4', function()
{
    return view('Vol/vLimasS4');
});

Route::get('/vTabung', function()
{
    return view('Vol/vTabung');
});

Route::get('/vBalok', function()
{
    return view('Vol/vBalok');
});

Route::get('/vKerucut', function()
{
    return view('Vol/vKerucut');
});

Route::get('/vBola', function()
{
    return view('Vol/vBola');
});

Route::post('/vPrismaS3C', 'VolumeCon@vPrismaS3C');
Route::post('/vKubusC', 'VolumeCon@vKubusC');
Route::post('/vLimasS4C', 'VolumeCon@vLimasS4C');
Route::post('/vLimasS3C', 'VolumeCon@vLimasS3C');
Route::post('/vTabungC', 'VolumeCon@vTabungC');
Route::post('/vBalokC', 'VolumeCon@vBalokC');
Route::post('/vKerucutC', 'VolumeCon@vKerucutC');
Route::post('/vBolaC', 'VolumeCon@vBolaC');

// Luas

Route::get('/lPersegi', function()
{
    return view('Luas/lPersegi');
});

Route::get('/lPersegiP', function()
{
    return view('Luas/lPersegiP');
});

Route::get('/lTrapesium', function()
{
    return view('Luas/lTrapesium');
});

Route::get('/lJajarG', function()
{
    return view('Luas/lJajarG');
});

Route::get('/lLingkaran', function()
{
    return view('Luas/lLingkaran');
});

Route::get('/lSegitiga', function()
{
    return view('Luas/lSegitiga');
});

Route::get('/lLayang', function()
{
    return view('Luas/lLayang');
});

Route::post('/lPersegiC', 'LuasCon@lPersegiC');
Route::post('/lPersegiPC', 'LuasCon@lPersegiPC');
Route::post('/lTrapesiumC', 'LuasCon@lTrapesiumC');
Route::post('/lJajarGC', 'LuasCon@lJajarGC');
Route::post('/lLingkaranC', 'LuasCon@lLingkaranC');
Route::post('/lSegitigaC', 'LuasCon@lSegitigaC');
Route::post('/lLayangC', 'LuasCon@lLayangC');

// Keliling

Route::get('/kPersegi', function()
{
    return view('Kel/kPersegi');
});

Route::get('/kPersegiP', function()
{
    return view('Kel/kPersegiP');
});

Route::get('/kSegitiga', function()
{
    return view('Kel/kSegitiga');
});

Route::get('/kLingkaran', function()
{
    return view('Kel/kLingkaran');
});

Route::get('/kJajarG', function()
{
    return view('Kel/kJajarG');
});

Route::get('/kTrapesium', function()
{
    return view('Kel/kTrapesium');
});

Route::post('/kPersegiC', 'KelilingCon@kPersegiC');
Route::post('/kPersegiPC', 'KelilingCon@kPersegiPC');
Route::post('/kSegitigaC', 'KelilingCon@kSegitigaC');
Route::post('/kLingkaranC', 'KelilingCon@kLingkaranC');
Route::post('/kJajarGC', 'KelilingCon@kJajarGC');
Route::post('/kTrapesiumC', 'KelilingCon@kTrapesiumC');

// Operasi

Route::get('/bTambah', function ()
{
    return view('Operasi/bTambah');
});

Route::get('/bKurang', function ()
{
    return view('Operasi/bKurang');
});

Route::get('/bKali', function ()
{
    return view('Operasi/bKali');
});

Route::get('/bBagi', function ()
{
    return view('Operasi/bBagi');
});

Route::get('/pTambah', function ()
{
    return view('Operasi/pTambah');
});

Route::get('/pKurang', function ()
{
    return view('Operasi/pKurang');
});

Route::get('/pKali', function ()
{
    return view('Operasi/pKali');
});

Route::get('/pBagi', function ()
{
    return view('Operasi/pBagi');
});

Route::post('/bTambahC', 'OperasiCon@bTambahC');
Route::post('/bKurangC', 'OperasiCon@bKurangC');
Route::post('/bKaliC', 'OperasiCon@bKaliC');
Route::post('/bBagiC', 'OperasiCon@bBagiC');
Route::post('/pTambahC', 'OperasiCon@pTambahC');
Route::post('/pTambahC', 'OperasiCon@pTambahC');
Route::post('/pKurangC', 'OperasiCon@pKurangC');
Route::post('/pKaliC', 'OperasiCon@pKaliC');

// Trigonometri

Route::get('/Sin', function ()
{
    return view('Trigon/Sin');
});

Route::get('/Cos', function ()
{
    return view('Trigon/Cos');
});

Route::get('/Tan', function ()
{
    return view('Trigon/Tan');
});

Route::get('/aSin', function ()
{
    return view('Trigon/aSin');
});

Route::get('/aCos', function ()
{
    return view('Trigon/aCos');
});

Route::get('/aTan', function ()
{
    return view('Trigon/aTan');
});

Route::get('/akarKuadrat', function ()
{
    return view('Trigon/akarKuadrat');
});

Route::get('/Pangkat', function ()
{
    return view('Trigon/Pangkat');
});

Route::get('/Log', function ()
{
    return view('Trigon/Log');
});

Route::get('/LogS', function ()
{
    return view('Trigon/LogS');
});

Route::post('/SinC', 'TrigoCon@SinC');
Route::post('/CosC', 'TrigoCon@CosC');
Route::post('/TanC', 'TrigoCon@TanC');
Route::post('/aSinC', 'TrigoCon@aSinC');
Route::post('/aCosC', 'TrigoCon@aCosC');
Route::post('/aTanC', 'TrigoCon@aTanC');
Route::post('/akarKuadratC', 'TrigoCon@akarKuadratC');
Route::post('/PangkatC', 'TrigoCon@PangkatC');
Route::post('/LogC', 'TrigoCon@LogC');
Route::post('/LogSC', 'TrigoCon@LogSC');
